Subject: FW: [PCN] Terminology

From: "Geib, Ruediger" <[email-masked]>
Date: Thu, 12 Jul 2007 13:47:31 +0200

Phil,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Thursday, July 12, 2007 12:43 PM
To: [email-masked]; [email-masked]
Subject: RE: [PCN] Terminology

Hi

It seems more intuitive to me that the terminology should come as "sets"
of very similar terms that relate to the same mechanism. IE related
terms should obviously be related without having to think about it:-

admission control | configured-admissible-rate | admission-marking (&
admission-marked-rate)

[Rudi]:
I can live with almost all proposals containing "admission". Hoepfully 
we all agree on one proposal soon.
[/Rudi]

termination control | configured-termination-rate | termination-marking

[Rudi]:
Termination may not be the best description, although I prefer it to 
supportable rate. The aim of the termination is a "traffic/rate 
reduction". The admission functionality more limits traffic to a 
certain rate. Consulting my favorite online dictionary I'd like 
to suggest:

curb/mitigation/cutback control |
configured-curbing/mitigation/cutback... 

[/Rudi]

Regards, Ruediger

I find it not instantly obvious that your suggested terms are related:
{termination control | excess-traffic marking | supportable-rate} 

A few more comments in-line

Thanks
phil

> -----Original Message-----
> From: Michael Menth [mailto:[email-masked]]
> Sent: 10 July 2007 07:44
> To: [email-masked]
> Subject: [PCN] Terminology
> 
> Hi,
> 
> I would like to discuss (again) some terminology for PCN. To get
things
> done quickly, we stuck in the architecture draft to the working
> nomenclature from the CL draft and left the exact names for further
> discussion. See Section 2 of
>
http://www.ietf.org/internet-drafts/draft-eardley-pcn-architecture-00.tx
t
> We proposed an alternative nomenclature in Section 1.3 of
> http://www.ietf.org/internet-drafts/draft-babiarz-pcn-3sm-00.txt
> 
> The main differences are the following four names, all other terms are
> fine:
> 
> "admissible rate" instead of "configured-admission-rate":

[phil] the draft actually uses configured-admissible-rate. Dropping
'configured' would be ok with me. 

> It's the rate that CAN be admitted. Then it is self-understood that
the
> rate is not measured but configured.
> 
> "supportable rate" instead of "configured-termination-rate":
> It's the rate that CAN be supported. Then it is self-understood that
the
> rate is not measured but configured. Furthermore, an alternative
action
> for flow termination is rate reduction for which the name
"termination"
> is not appropriate.

[phil] strictly it isn't the rate that can be supported; traffic can be
supported up to the rate configured for the DS class used by the PCN
traffic. It's the rate above which you start termination-marking pkts. 

Perhaps we need something like terminatable-rate or
terminatable-marking?! (I will be back)

Yes, the charter says that after re-chartering the WG "may also consider
to investigate additional response mechanisms that act on
(pre-)congestion information". So your same point could be made that
admission-marking is an inaccurate term, because in the future the WG
might consider an action other than admission control. However,
personally I don't think potential future charter should influence
terminology.

> 
> "admission-stop marking" instead of "admission-marking":

[phil] I don't object too much to admission-stop-marking (or
admission-control-marking) instead of admission-marking. Personally I
find the latter a bit simpler.

> The meaning of the marking is that admission should be stopped. The
name
> "admission-marking" rather suggests the opposite. 

[phil] isn't it self-understood that pkts are marked at higher traffic
rates and not marked at low traffic rates?

> This is also in line
> with the single-marking approach.
> 
> "excess-traffic marking" instead of "termination-marking":
> The name "termination-marking" is fine as long as flow termination is
> the only option to reduce the rate of ingress-egress-aggregates when
the
> supportable rate of a link is exceeded. However, an alternative
reaction
> to this marking is flow rate reduction (although not in this charter).
> Therefore, the name of that marking should be neutral with
> regard to the action.
> 
> Regards,
> 
>     Michael
> 
> --
> Dr. Michael Menth, Assistant Professor
> University of Wuerzburg, Institute of Computer Science
> Am Hubland, D-97074 Wuerzburg, Germany, room B206
> phone: (+49)-931/888-6644, fax: (+49)-931/888-6632
> mailto:[email-masked]
> http://www3.informatik.uni-wuerzburg.de/research/ngn
> 
> 
> 
> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pcn

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn